package cmd

import (
	"errors"
	"strings"
)

type TeamFlag string

func (t *TeamFlag) String() string {
	return string(*t)
}

func (t *TeamFlag) Set(v string) error {
	var err error
	v = strings.ToLower(v)
	_, ok := teamIDs[v]
	if !ok {
		err = errors.New("invalid team ID")
	} else {
		*t = TeamFlag(v)
	}
	return err
}

func (t *TeamFlag) Type() string {
	return "team flag"
}
